<?php require_once('../../Connections/cn.php'); ?>
<?php 
session_start();
$cedula_usuario=$_GET['cedula'];
$id_periodo=$_GET['id_periodo'];
$mencion=$_GET['mencion'];

$nom_mencion="";
if($mencion=="COMUN") $nom_mencion="COMPONENTE GENERAL";
if($mencion=="ACE") $nom_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($mencion=="FIN") $nom_mencion="FINANZAS PÚBLICAS";
if($mencion=="RT") $nom_mencion="RENTAS";

//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$id_carrera="LCF";


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sql = "SELECT id_alumno,apellidos,nombres FROM alumnos WHERE cedula='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
$nombres_alumno=$row['apellidos'].', '.$row['nombres'];;


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$id_periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$periodo=$row2['id_periodo'];
$cod_periodo=$row2['codigo'].' ('.$row2['tipo'].')';

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$id_carrera'";

$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

$sql4 = "select nombre_sede from sedes where codigo='$sede'";
$rs4=mysql_query($sql4,$cn);
$row4=mysql_fetch_array($rs4);
$nom_sede=$row4['nombre_sede'];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('FOLIO','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(900,17,7,'','Pag.: '.'{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, inscripciones.eval1, inscripciones.eval2, inscripciones.eval3, inscripciones.eval4, inscripciones.eval5, inscripciones.eval6, inscripciones.eval7, inscripciones.eval8, inscripciones.eval9, inscripciones.eval10, inscripciones.eval11, inscripciones.eval12, inscripciones.eval13, inscripciones.eval14, inscripciones.eval15, inscripciones.eval16, inscripciones.corte_1, inscripciones.corte_2, inscripciones.corte_3, inscripciones.corte_4, inscripciones.acumulado, inscripciones.nota, inscripciones.id_docente, materias.nombre_materia, docentes.apellidos, docentes.nombres, inscripciones.recuperacion, inscripciones.corte_sustituido FROM alumnos, inscripciones, docentes, materias where alumnos.id_alumno=inscripciones.id_alumno and materias.id_materia=inscripciones.id_materia and  docentes.id_docente=inscripciones.id_docente and inscripciones.id_alumno='$id_alumno' order by inscripciones.semestre";

// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del estduiante del que se genera su evaluación acumulada.
$sql_alumnos = "SELECT cedula,apellidos,nombres FROM alumnos WHERE id_alumno='$id_alumno'";
$rst_alumnos = mysql_query($sql_alumnos, $cn) or die(mysql_error());
$row_alumnos = mysql_fetch_assoc($rst_alumnos);
$nom_alumno=$row_alumnos['apellidos'].', '.$row_alumnos['nombres'];


// Reinicia la ejecuci�n del query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 
// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,250,0);
$imagen=ImageCreatefromjpeg('../../imagenes/enahp.jpg');
$pdf->addImage($imagen,720,$pdf->y-25,150,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText(utf8_decode('<b>'."R E G I S T R O  D E L  P R O G R E S O  A C A D É M I C O".'</b>'),12,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->ezText("<b>"."CARRERA: "."</b>".utf8_decode($nom_carrera)."<b>".utf8_decode("   MENCIÓN: ")."</b>".utf8_decode($nom_mencion),10,array('justification'=>'left'));
$pdf->ezText('<b>'."ESTUDIANTE: ".'</b>'.utf8_decode($nom_alumno).utf8_decode('<b>'."  CÉDULA: ".'</b>').$cedula_usuario,10,array('justification'=>'left'));
$pdf->ezText('<b>'."LAPSO: ".'</b>'.$cod_periodo." ".$descripcion,10,array('justification'=>'left'));
$pdf->ezText('<b>'."MATERIAS INSCRITAS: ".'</b>'.$totalRows,10 ,array('justification'=>'left'));
$pdf->ezText(utf8_decode('<b>'."FECHA DE IMPRESIÓN: ".'</b>').date("d/m/Y"),10,array('justification'=>'left'));
// Fin del Encabezado.
// Inicio del Pie de P�gina.

// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(6.2,1.5,1.5,1);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 

$cols = array('nro'=>'Nro.', 
              'materia'=>'Unidad Curricular', 
              'eval1'=>utf8_decode('Eval. 1'),
			  'eval2'=>utf8_decode('Eval. 2'),
			  'eval3'=>utf8_decode('Eval. 3'),
			  'eval4'=>utf8_decode('Eval. 4'),
			  'corte1'=>utf8_decode('CORTE 1'),
			  'eval5'=>utf8_decode('Eval. 5'),
			  'eval6'=>utf8_decode('Eval. 6'),
			  'eval7'=>utf8_decode('Eval. 7'),
			  'eval8'=>utf8_decode('Eval. 8'),
			  'corte2'=>utf8_decode('CORTE 2'),
			  'eval9'=>utf8_decode('Eval. 9'),
			  'eval10'=>utf8_decode('Eval. 10'),
			  'eval11'=>utf8_decode('Eval. 11'),
			  'eval12'=>utf8_decode('Eval. 12'),
			  'corte3'=>utf8_decode('CORTE 3'),
			  'recuperacion'=>utf8_decode('REC.'),
			  'eval13'=>utf8_decode('Eval. 13'),
			  'eval14'=>utf8_decode('Eval. 14'),
			  'eval15'=>utf8_decode('Eval. 15'),
			  'eval16'=>utf8_decode('Eval. 16'),
			  'corte4'=>utf8_decode('CORTE 4'),
			  'acumulado'=>utf8_decode('V.A.'),
			  'nota'=>utf8_decode('1-20')); 
$smc = 0; 
// Convierte la Nota a Letras.

while ($row = mysql_fetch_row($result)) { 
    $materia  = $row[26]; // apellidos y nombres 
	$corte_sustituido=$row[30];
    $eval1      = $row[3];    // nota
	$eval2      = $row[4];
	$eval3      = $row[5];
	$eval4      = $row[6];
	$eval5      = $row[7];
	$eval6      = $row[8];
	$eval7     = $row[9];
	$eval8     = $row[10];
	$eval9     = $row[11];
	$eval10     = $row[12];
	$eval11    = $row[13];
	$eval12     = $row[14];
	$eval13     = $row[15];
	$eval14    = $row[16];
	$eval15     = $row[17];
	$eval16    = $row[18];
	if($corte_sustituido==1){
	   $corte1=$row[19]."(Rec.)";
	}
	else{  
	   $corte1    = $row[19];
	}   
	if($corte_sustituido==2){
	   $corte2=$row[20]."(Rec.)";
	}
	else{  
	   $corte2    = $row[20];
	}
	if($corte_sustituido==3){
	   $corte3=$row[21]."(Rec.)";
	}
	else{  
	   $corte3    = $row[21];
	}
	$corte4    = $row[22];
	$acumulado    = $row[23];
	$nota      = $row[24];
	$recuperacion = $row[29];;
    /*$nota->convertir($row[3]);
	$enlet=strtoupper($nota->resultado); */
	
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
                    'materia'=>utf8_decode($materia), 
                    'eval1'=>$eval1,
					'eval2'=>$eval2,
					'eval3'=>$eval3,
					'eval4'=>$eval4,
					'corte1'=>$corte1,
					'eval5'=>$eval5,
					'eval6'=>$eval6,
					'eval7'=>$eval7,
					'eval8'=>$eval8,
					'corte2'=>$corte2,
					'eval9'=>$eval9,
					'eval10'=>$eval10,
					'eval11'=>$eval11,
					'eval12'=>$eval12,
					'corte3'=>$corte3,
					'recuperacion'=>$recuperacion,
					'eval13'=>$eval13,
					'eval14'=>$eval14,
					'eval15'=>$eval15,
					'eval16'=>$eval16,
					'corte4'=>$corte4,
					'acumulado'=>$acumulado,
					'nota'=>$nota); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'875','fontSize'=>5.5, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left') 
             ,'eval1'=>array('justification'=>'center')
			 ,'eval2'=>array('justification'=>'center')
			 ,'eval3'=>array('justification'=>'center')
			 ,'eval4'=>array('justification'=>'center')
			 ,'corte1'=>array('justification'=>'center')
			 ,'eval5'=>array('justification'=>'center')
			 ,'eval6'=>array('justification'=>'center')
			 ,'eval7'=>array('justification'=>'center')
			 ,'eval8'=>array('justification'=>'center')
			 ,'corte2'=>array('justification'=>'center')
			 ,'eval9'=>array('justification'=>'center')
			 ,'eval10'=>array('justification'=>'center')
			 ,'eval11'=>array('justification'=>'center')
			 ,'eval12'=>array('justification'=>'center')
			 ,'corte3'=>array('justification'=>'center')
			 ,'eval13'=>array('justification'=>'center')
			 ,'eval14'=>array('justification'=>'center')
			 ,'eval15'=>array('justification'=>'center')
			 ,'eval16'=>array('justification'=>'center')
			 ,'corte4'=>array('justification'=>'center')
			 ,'acumulado'=>array('justification'=>'center')
			 ,'nota'=>array('justification'=>'center')) 
));// salida 
pie_pagina($pdf);
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    // Facilitador(a).
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'."NOTA:".'</b>',9,array('justification'=>'full'));
$pdf->ezsetdy(-5);
$pdf->ezText(utf8_decode("Las discrepancia encontrada entre este documento y las calificaciones obtenidas por usted deben ser planteadas ante el docente de la unidad curricular respectiva.  CONTROL DE ESTUDIOS no procesará reclamos de calificaciones del lapso en curso."),9,array('justification'=>'full'));
}

function nota_en_letras($nota)
{
   // Extraigo la parte entera y la parte decimal de la Nota.
   $entero=substr($nota,0,1);
   $decimal=substr($nota,2,2);
  
   // Convierto la Parte entera de la Nota en letras.
   switch ($entero)
   {
   	   case 0:
	    $entero_en_letras='CERO';
		break;	
	  case 1:
	    $entero_en_letras='UNO';
		break;	
	  case 2:
	  	$entero_en_letras='DOS';
		break;
	  case 3:
	  	$entero_en_letras='TRES';
		break;
	  case 4:
	  	$entero_en_letras='CUATRO';
		break;
	  case 5:
	  	$entero_en_letras='CINCO';
		break;
   }
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='';
		break;					 
	case 01:
	    $decimal_en_letras='CERO UNO';
		break;	
	case 02:
	    $decimal_en_letras='CERO DOS';
		break;	
	case 03:
	    $decimal_en_letras='CERO TRES';
		break;
	case 04:
	    $decimal_en_letras='CERO CUATRO';
		break;	
	case 05:
	    $decimal_en_letras='CERO CINCO';
		break;	
	case 06:
	    $decimal_en_letras='CERO SEIS';
		break;	
	case 07:
	    $decimal_en_letras='CERO SIETE';
		break;	
	case 08:
	    $decimal_en_letras='CERO OCHO';
		break;	
	case 09:
	    $decimal_en_letras='CERO NUEVE';
		break;	
	case 10:
	    $decimal_en_letras='DIEZ';
		break;	
	case 11:
	    $decimal_en_letras='ONCE';
		break;	
	case 12:
	    $decimal_en_letras='DOCE';
		break;	
	case 13:
	    $decimal_en_letras='TRECE';
		break;	
	case 14:
	    $decimal_en_letras='CATORCE';
		break;	
	case 15:
	    $decimal_en_letras='QUINCE';
		break;	
	case 16:
	    $decimal_en_letras='DIECISEIS';
		break;	
	case 17:
	    $decimal_en_letras='DIECISIETE';
		break;	
	case 18:
	    $decimal_en_letras='DIECIOCHO';
		break;	
	case 19:
	    $decimal_en_letras='DIECINUEVE';
		break;	
	case 20:
	    $decimal_en_letras='VEINTE';
		break;	
	case 21:
	    $decimal_en_letras='VEINTIUNO';
		break;	
	case 22:
	    $decimal_en_letras='VEINTIDOS';
		break;
	case 23:
	    $decimal_en_letras='VEINTITRES';
		break;
	case 24:
	    $decimal_en_letras='VEINTICUATRO';
		break;
	case 25:
	    $decimal_en_letras='VEINTICINCO';
		break;
	case 26:
	    $decimal_en_letras='VEINTISEIS';
		break;
	case 27:
	    $decimal_en_letras='VEINTISIETE';
		break;
	case 28:
	    $decimal_en_letras='VEINTIOCHO';
		break;
	case 29:
	    $decimal_en_letras='VEINTINUEVE';
		break;
	case 30:
	    $decimal_en_letras='TREINTA';
		break;	
	case 31:
	    $decimal_en_letras='TREINTA Y UNO';
		break;
	case 32:
	    $decimal_en_letras='TREINTA Y DOS';
		break;
	case 33:
	    $decimal_en_letras='TREINTA Y TRES';
		break;
	case 34:
	    $decimal_en_letras='TREINTA Y CUATRO';
		break;
	case 35:
	    $decimal_en_letras='TREINTA Y CINCO';
		break;
	case 36:
	    $decimal_en_letras='TREINTA Y SEIS';
		break;
	case 37:
	    $decimal_en_letras='TREINTA Y SIETE';
		break;
	case 38:
	    $decimal_en_letras='TREINTA Y OCHO';
		break;	
	case 39:
	    $decimal_en_letras='TREINTA Y NUEVE';
		break;	
	case 40:
	    $decimal_en_letras='CUARENTA';
		break;	
	case 41:
	    $decimal_en_letras='CUARENTA Y UNO';
		break;	
	case 42:
	    $decimal_en_letras='CUARENTA Y DOS';
		break;	
	case 43:
	    $decimal_en_letras='CUARENTA Y TRES';
		break;	
	case 44:
	    $decimal_en_letras='CUARENTA Y CUATRO';
		break;	
	case 45:
	    $decimal_en_letras='CUARENTA Y CINCO';
		break;	
	case 46:
	    $decimal_en_letras='CUARENTA Y SEIS';
		break;	
	case 47:
	    $decimal_en_letras='CUARENTA Y SIETE';
		break;	
	case 48:
	    $decimal_en_letras='CUARENTA Y OCHO';
		break;	
	case 49:
	    $decimal_en_letras='CUARENTA Y NUEVE ';
		break;	
	case 50:
	    $decimal_en_letras='CINCUENTA';
		break;	
	case 51:
	    $decimal_en_letras='CINCUENTA Y UNO';
		break;	
	case 52:
	    $decimal_en_letras='CINCUENTA Y DOS';
		break;	
	case 53:
	    $decimal_en_letras='CINCUENTA Y TRES';
		break;	
	case 54:
	    $decimal_en_letras='CINCUENTA Y CUATRO';
		break;	
	case 55:
	    $decimal_en_letras='CINCUENTA Y CINCO';
		break;	
	case 56:
	    $decimal_en_letras='CINCUENTA Y SEIS';
		break;	
	case 57:
	    $decimal_en_letras='CINCUENTA Y SIETE';
		break;	
	case 58:
	    $decimal_en_letras='CINCUENTA Y OCHO';
		break;	
	case 59:
	    $decimal_en_letras='CINCUENTA Y NUEVE';
		break;	
	case 60:
	    $decimal_en_letras='SESENTA';
		break;	
	case 61:
	    $decimal_en_letras='SESENTA Y UNO';
		break;	
	case 62:
	    $decimal_en_letras='SESENTA Y DOS';
		break;	
	case 63:
	    $decimal_en_letras='SESENTA Y TRES';
		break;	
	case 64:
	    $decimal_en_letras='SESENTA Y CUATRO';
		break;	
	case 65:
	    $decimal_en_letras='SESENTA Y CINCO';
		break;	
	case 66:
	    $decimal_en_letras='SESENTA Y SEIS';
		break;	
	case 67:
	    $decimal_en_letras='SESENTA Y SIETE';
		break;	
	case 68:
	    $decimal_en_letras='SESENTA Y OCHO';
		break;	
	case 69:
	    $decimal_en_letras='SESENTA Y NUEVE';
		break;	
	case 70:
	    $decimal_en_letras='SETENTA';
		break;	
	case 71:
	    $decimal_en_letras='SETENTA Y UNO';
		break;	
	case 72:
	    $decimal_en_letras='SETENTA Y DOS';
		break;	
	case 73:
	    $decimal_en_letras='SETENTA Y TRES';
		break;	
	case 74:
	    $decimal_en_letras='SETENTA Y CUATRO';
		break;	
	case 75:
	    $decimal_en_letras='SETENTA Y CINCO';
		break;	
	case 76:
	    $decimal_en_letras='SETENTA Y SEIS';
		break;	
	case 77:
	    $decimal_en_letras='SETENTA Y SIETE';
		break;	
	case 78:
	    $decimal_en_letras='SETENTA Y OCHO';
		break;	
	case 79:
	    $decimal_en_letras='SETENTA Y NUEVE';
		break;	
	case 80:
	    $decimal_en_letras='OCHENTA';
		break;	
	case 81:
	    $decimal_en_letras='OCHENTA Y UNO';
		break;	
	case 82:
	    $decimal_en_letras='OCHENTA Y DOS';
		break;	
	case 83:
	    $decimal_en_letras='OCHENTA Y TRES';
		break;	
	case 84:
	    $decimal_en_letras='OCHENTA Y CUATRO';
		break;	
	case 85:
	    $decimal_en_letras='OCHENTA Y CINCO';
		break;	
	case 86:
	    $decimal_en_letras='OCHENTA Y SEIS';
		break;	
	case 87:
	    $decimal_en_letras='OCHENTA Y SIETE';
		break;	
	case 88:
	    $decimal_en_letras='OCHENTA Y OCHO';
		break;	
	case 89:
	    $decimal_en_letras='OCHENTA Y NUEVE';
		break;	
	case 90:
	    $decimal_en_letras='NOVENTA';
		break;	
	case 91:
	    $decimal_en_letras='NOVENTA Y UNO';
		break;	
	case 92:
	    $decimal_en_letras='NOVENTA Y DOS';
		break;	
	case 93:
	    $decimal_en_letras='NOVENTA Y TRES';
		break;	
	case 94:
	    $decimal_en_letras='NOVENTA Y CUATRO';
		break;	
	case 95:
	    $decimal_en_letras='NOVENTA Y CINCO';
		break;	
	case 96:
	    $decimal_en_letras='NOVENTA Y SEIS';
		break;	
	case 97:
	    $decimal_en_letras='NOVENTA Y SIETE';
		break;	
	case 98:
	    $decimal_en_letras='NOVENTA Y OCHO';
		break;	
	case 99:
	    $decimal_en_letras='NOVENTA Y NUEVE';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}
?> 